(3)

NAME
boost::units::make_scaled_unit<unit<_Dimension,_heterogeneous_system<_heterogeneous_system_impl<_UnitList,_Dimension,_OldScale_>_>_>,_Scale>

SYNOPSIS

// In header: <boost/units/make_scaled_unit.hpp>
template<typename Dimension, typename UnitList, typename OldScale,
         typename Scale>
struct make_scaled_unit<unit< Dimension, heterogeneous_system< heterogeneous_system_impl< UnitList, Dimension, OldScale > > >, Scale> {
  // types
  typedef unit< Dimension, heterogeneous_system< heterogeneous_system_impl< UnitList, Dimension, typename mpl::times< OldScale, list< scale_list_dim< Scale >, dimensionless_type > >::type > > > type;
};